import {Server} from "socket.io";
import {TSocket} from "../../utilities/Types";
import {Character} from "@prisma/client";
import CharacterRepository from "../../repositories/CharacterRepository";
import {ZCharacterDelete} from "../../utilities/ZodTypes";

export default function (socket: TSocket, io: Server) {
    socket.on('character:delete', async (data: any) => {
        // zod validate
        try {
            data = ZCharacterDelete.parse(data);

            await CharacterRepository.deleteByUserIdAndId(socket.user?.id as number, data.id as number);

            const user_id = socket.user?.id as number;
            const characters: Character[] = await CharacterRepository.getByUserId(user_id) as Character[];

            socket.emit('character:list', characters);
        } catch (error: any) {
            return socket.emit('notification', {error: error.errors[0].message});
        }
    });
}