import { z } from 'zod';

export const loginAccountSchema = z.object({
    username: z.string().min(3, {
        message: 'Username must be at least 3 characters long'
    }).max(255),
    password: z.string().min(8, {
        message: 'Password must be at least 8 characters long'
    }).max(255)
});

export const registerAccountSchema = z.object({
    username: z.string().min(3, {
        message: 'Username must be at least 3 characters long'
    }).max(255),
    password: z.string().min(8, {
        message: 'Password must be at least 8 characters long'
    }).max(255)
});

export const ZCharacterCreate = z.object({
    name: z.string().min(3, {
        message: 'Name must be at least 3 characters long'
    }).max(255)
});

export const ZCharacterDelete = z.object({
    character_id: z.number()
});